function Controller() {
    function init() {
        var items = [];
        for (var i = 0, ii = 10; ii > i; i++) items.push({
            properties: {}
        });
        $.list.sections = [ Ti.UI.createListSection({
            items: items
        }) ];
        $.index.open();
    }
    function listClicked(e) {
        var section = e.section;
        var item = section.getItemAt(e.itemIndex);
        item.template = "click";
        section.updateItemAt(e.itemIndex, item, {
            animated: true
        });
        if (null != lastIndex) {
            var lastItem = section.getItemAt(lastIndex);
            lastItem.template = "template";
            section.updateItemAt(lastIndex, lastItem, {
                animated: true
            });
        }
        lastIndex = e.itemIndex;
    }
    function buttonClicked(e) {
        e.source.hide();
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    var __alloyId0 = {};
    var __alloyId3 = [];
    var __alloyId5 = {
        type: "Ti.UI.Label",
        properties: {
            text: "template: template"
        }
    };
    __alloyId3.push(__alloyId5);
    var __alloyId2 = {
        properties: {
            name: "template"
        },
        childTemplates: __alloyId3
    };
    __alloyId0["template"] = __alloyId2;
    var __alloyId8 = [];
    var __alloyId10 = {
        type: "Ti.UI.Label",
        properties: {
            text: "template: click",
            left: "10"
        }
    };
    __alloyId8.push(__alloyId10);
    var __alloyId12 = {
        type: "Ti.UI.Button",
        bindId: "button",
        properties: {
            title: "Click me",
            bindId: "button",
            right: "10"
        },
        events: {
            click: buttonClicked
        }
    };
    __alloyId8.push(__alloyId12);
    var __alloyId7 = {
        properties: {
            name: "click"
        },
        childTemplates: __alloyId8
    };
    __alloyId0["click"] = __alloyId7;
    $.__views.list = Ti.UI.createListView({
        templates: __alloyId0,
        id: "list",
        defaultItemTemplate: "template"
    });
    $.__views.index.add($.__views.list);
    listClicked ? $.__views.list.addEventListener("itemclick", listClicked) : __defers["$.__views.list!itemclick!listClicked"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    var lastIndex;
    init();
    __defers["$.__views.list!itemclick!listClicked"] && $.__views.list.addEventListener("itemclick", listClicked);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;